For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
guide

Manage job requisitions

Fetch and create job requisitions using the Job Requisitions API.

Use with AI:Rippling AI ChatGPT Claude Cursor

Overview​

A job requisition is a request for a job to be filled by a candidate. In Rippling Recruiting, these are also called openings.

Available endpoints​

EndpointDescription
GET List job requisitionsLists existing requisitions.
POST Create a new job requisitionCreates a new requisition. name, departments, work_locations, and employment_type_id are required. If sending a status, it must be set as DRAFT.

Related endpoints:

EndpointDescription
GET List departmentsUse id in departments.
GET List work locationsUse id in work_locations.
GET List employment typesUse id as employment_type_id.

Suggested workflow​

  1. List departments, work locations, and employment types to gather the required IDs for creating a job requisition.
  2. Create a draft job requisition with the previous IDs plus a name. If sending a status, it must be set as DRAFT.
  3. List job requisitions to confirm successful creation.
  4. Navigate to Rippling Recruiting to take action on the job requisition (open, publish to public job boards, close, etc.).

Requirements​

  • The Rippling API SKU
  • An API token with the following scopes:
    • job-requisitions.read to fetch job requisitions
    • job-requisitions-write.read-write to create a new job requisition

Fetch​

Use GET List job requisitions to return a list of existing job requisitions.

Request:

curl -L -X GET 'https://rest.ripplingapis.com/job-requisitions/' 
-H 'Accept: application/json'
-H 'Authorization: Bearer REDACTED'

Response:

{
"__meta": {
"redacted_fields": []
},
"results": [
{
"id": "66b26001a91aca1dfb199301",
"created_at": "2026-01-16T16:00:00.000000+00:00",
"updated_at": "2026-02-02T18:15:00.000000+00:00",
"name": "Senior Software Engineer",
"status": "OPEN"
}
],
"next_link": null
}
Response fieldDescription
idRequisition identifier.
created_atWhen the requisition was created.
updated_atWhen the requisition was last updated.
nameTitle of the job requisition.
requisition_idCustomer-defined requisition ID. Rippling generates one when ommitted.
statusJob requisition status. Includes OPEN (not publicly available; applications are manually added in Rippling), CLOSED (inactive), PUBLISHED (displayed on active job boards), DRAFT (applications cannot yet be added), or ARCHIVED (inactive but archived).

Create​

Use POST Create a new job requisition to create a new requisition. Call related endpoints prior to creation to fetch necessary IDs.

name, departments, work_locations, and employment_type_id are required. If sending a status, it must be set as DRAFT.

Request:

curl -L -X POST 'https://rest.ripplingapis.com/job-requisitions-write/'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'Authorization: Bearer REDACTED'

Request body:

{
"name": "Senior Software Engineer",
"requisition_id": "REQ-1042",
"status": "DRAFT",
"description": "Builds platform services for the product org.",
"title": "Software Engineer",
"departments": [
"65699295fb7bc7c3510f4075"
],
"teams": [
"65699295fb7bc7c3510f4076"
],
"work_locations": [
"64a1b2c3d4e5f60718293a01"
],
"levels": [
"64a1b2c3d4e5f60718293a03"
],
"employment_type_id": "64a1b2c3d4e5f60718293a02",
"hiring_manager_id": "58d3a1f0e4b0a12c3d456789",
"recruiter_id": "58d3a1f0e4b0a12c3d456790",
"salary_type": "RANGE",
"salary_unit": "YEAR",
"salary_per_unit": 200000,
"salary_per_unit_low": 180000,
"salary_per_unit_high": 220000,
"salary_currency": "USD",
"target_close": "2026-06-30",
"target_employee_start_date": "2026-07-15",
"is_evergreen": false,
"confidential": false,
"default_private_invites": false,
"pipeline_plan_id": "64a1b2c3d4e5f60718293a04"
}
Request body fieldRequiredDescription
nameYesTitle of the job requisition.
departmentsYesList of department IDs.
work_locationsYesList of work location IDs.
employment_type_idYesCompany employment type ID.
requisition_idNoCustomer-defined requisition ID; Rippling generates one when omitted.
statusNoJob requisition status. Can only be DRAFT upon creation.
descriptionNoJob description.
titleNoInternal employee title.
teamsNoList of team IDs.
levelsNoList of level IDs.
hiring_manager_idNoHiring manager role ID.
recruiter_idNoPrimary recruiter role ID.
secondary_recruitersNoList of secondary recruiter role IDs.
sourcer_idNoSourcer role ID.
coordinator_idNoCoordinator role ID.
salary_typeNoSalary type.
salary_unitNoSalary unit: HOUR, DAY, WEEK, MONTH, YEAR, or PAY_PERIOD.
salary_per_unitNoSalary amount per unit.
salary_per_unit_lowNoSalary range lower bound.
salary_per_unit_highNoSalary range upper bound.
salary_currencyNoSalary currency code.
target_closeNoTarget close date.
target_employee_start_dateNoTarget employee start date.
is_evergreenNoWhether this is an evergreen requisition.
confidentialNoWhether this requisition is confidential.
confidential_whitelistNoList of role IDs allowed to view a confidential requisition.
default_private_invitesNoWhether to default to private invites.
pipeline_plan_idNoPipeline plan ID to use for this requisition.

Response:

{
"id": "66b26001a91aca1dfb199301",
"created_at": "2026-01-16T16:00:00.000000+00:00",
"updated_at": "2026-01-16T16:00:00.000000+00:00",
"name": "Senior Software Engineer",
"requisition_id": "REQ-1042",
"status": "DRAFT",
"description": "Builds platform services for the product org.",
"title": "Software Engineer",
"departments": [
"65699295fb7bc7c3510f4075"
],
"teams": [
"65699295fb7bc7c3510f4076"
],
"work_locations": [
"64a1b2c3d4e5f60718293a01"
],
"levels": [
"64a1b2c3d4e5f60718293a03"
],
"employment_type_id": "64a1b2c3d4e5f60718293a02",
"hiring_manager_id": "58d3a1f0e4b0a12c3d456789",
"recruiter_id": "58d3a1f0e4b0a12c3d456790",
"salary_type": "RANGE",
"salary_unit": "YEAR",
"salary_per_unit": 200000,
"salary_per_unit_low": 180000,
"salary_per_unit_high": 220000,
"salary_currency": "USD",
"target_close": "2026-06-30",
"target_employee_start_date": "2026-07-15",
"is_evergreen": false,
"confidential": false,
"default_private_invites": false,
"pipeline_plan_id": "64a1b2c3d4e5f60718293a04"
}

Next steps​

After a job requisition is created, it's stored in the Rippling Recruiting app as a DRAFT. A company admin can navigate to the job requisition to review and open. Once open, applications can be added manually to the job requisition directly inside the Rippling account.

The job requisition will not be considered PUBLISHED or available on public job boards unless a published job post is added directly to the requisition.

See Open a draft job requisition and Add a job post to a job requisition for more details.


See also​